Gallery Platform API
Reference

List invoices

Lists the gallery's invoices (newest first) with cursor pagination. Filter by `status`, or search with `q` — matches the invoice number and billing name.

GET
/gallery/invoices

Lists the gallery's invoices (newest first) with cursor pagination. Filter by status, or search with q — matches the invoice number and billing name.

Authorization

bearerAuth sales:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: sales:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
q?string
Lengthlength <= 200
status?string

Value in

  • "unpaid"
  • "partial"
  • "paid"
  • "void"
  • "draft"
  • "sent"
  • "viewed"
tag_id?array<string>
Items1 <= items <= 10
archived?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "sale_id": "string",      "invoice_number": "string",      "status": "unpaid",      "issued_date": "string",      "due_date": "string",      "subtotal_cents": -9007199254740991,      "discount_cents": -9007199254740991,      "discount_bps": -9007199254740991,      "tax_cents": -9007199254740991,      "shipping_cents": -9007199254740991,      "shipping_tax_cents": -9007199254740991,      "total_cents": -9007199254740991,      "amount_paid_cents": -9007199254740991,      "accepted_payment_methods": [        "card"      ],      "currency": "string",      "fx_as_of": "string",      "fx_usd_per_unit": 0,      "fx_base_currency": "string",      "fx_base_usd_per_unit": 0,      "base_amount_cents": -9007199254740991,      "billing_name": "string",      "billing_address": "string",      "shipping_name": "string",      "shipping_address": "string",      "tax_address_line1": "string",      "tax_address_city": "string",      "tax_address_state": "string",      "tax_address_postal_code": "string",      "tax_address_country": "string",      "tax_calculated_at": "string",      "taxability_override": "none",      "notes": "string",      "archived_at": "string",      "template_id": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}